Summary: MySQL - a very fast and reliable SQL database engine
Name: mysql
Version: 3.22.29
Release: 1
Group: Applications/Databases
Copyright: MySQL FREE PUBLIC LICENSE
Url: http://www.mysql.com/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.mysql.com/Downloads/MySQL-3.22/mysql-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. SQL is the most popular database language
in the world. MySQL is a client/server implementation that consists of
a server daemon mysqld and many different client programs/libraries.

Documentations for MySQL are available at http://www.mysql.com/doc.html.

%package devel
Summary: MySQL - Development header files and libraries
Group: Applications/Databases
%description devel
MySQL development header files and libraries necessary to develop 
client applications.

%package client
Summary: MySQL - Client
Group: Applications/Databases
%description client
Standard MySQL clients.

%package bench
Summary: MySQL - Benchmarks
Group: Applications/Databases
Requires: mysql = %{version}
%description bench
MySQL benchmark scripts and data.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
	./configure \
	--prefix=/usr --libexecdir=/usr/sbin --sysconfdir=/etc \
	--localstatedir=/var/lib/mysql \
	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--without-debug --enable-assembler --disable-shared \
	--without-readline --with-pthread \
	--with-mysqld-user=mysql
make


%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT benchdir=/usr/share/sql-bench
gzip -9f $RPM_BUILD_ROOT/usr/info/mysql.info

# Remove non-English error messages
find $RPM_BUILD_ROOT/usr/share/mysql/* -type d -a ! -name english \
	-exec rm -rf {} \;

# SysV init, logrotate, default configuration
mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d}
(
cd $RPM_BUILD_ROOT/usr/share/mysql
rm -f mysql-%{version}.spec
mv my-example.cnf   $RPM_BUILD_ROOT/etc/my.cnf
mv mysql-log-rotate $RPM_BUILD_ROOT/etc/logrotate.d/mysql
mv mysql.server     $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql
chmod 755           $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql
)

# mysql's minimum required databases
mkdir -p $RPM_BUILD_ROOT/var/lib/mysql/{mysql,test}

# Documentation
make -C Docs manual.ps; gzip -9f Docs/manual.ps


%pre
( egrep -qs "^mysql:" /etc/passwd && egrep -qs "^mysql:" /etc/group ) || \
( echo "User and group mysql must be created first!" && exit 1 )

%post
/sbin/chkconfig --add mysql
/sbin/install-info /usr/info/mysql.info.gz /usr/info/dir
# Initiate databases
mysql_install_db -IN-RPM; chown -R mysql.mysql /var/lib/mysql

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del mysql
    /sbin/install-info --delete /usr/info/mysql.info.gz /usr/info/dir
fi

%postun 
echo "User and group mysql and /var/lib/mysql need to be manually removed"


%files
%defattr(-,root,root)
%doc INSTALL-SOURCE INSTALL-SOURCE-GENERIC MIRRORS PUBLIC README
%doc Docs/manual.ps.gz
%config /etc/my.cnf
%config /etc/logrotate.d/mysql
%config /etc/rc.d/init.d/mysql
%dir %attr(755,mysql,mysql) /var/lib/mysql
%dir %attr(755,mysql,mysql) /var/lib/mysql/mysql
%dir %attr(755,mysql,mysql) /var/lib/mysql/test
/usr/bin/isamchk
/usr/bin/isamlog
/usr/bin/mysql_find_rows
/usr/bin/mysql_fix_privilege_tables
/usr/bin/mysql_install_db
/usr/bin/mysql_setpermission
/usr/bin/mysql_zap
/usr/bin/perror
/usr/bin/replace
/usr/bin/resolveip
/usr/bin/safe_mysqld
/usr/info/*
/usr/sbin/*
/usr/share/mysql

%files devel
%defattr(-,root,root)
/usr/bin/comp_err
/usr/include/mysql
/usr/lib/mysql

%files client
%defattr(-,root,root)
/usr/bin/msql2mysql
/usr/bin/mysql
/usr/bin/mysqlaccess
/usr/bin/mysqladmin
/usr/bin/mysqlbug
/usr/bin/mysqldump
/usr/bin/mysqlimport
/usr/bin/mysqlshow
/usr/man/man1/mysql.1

%files bench
%defattr(-,root,root)
/usr/share/sql-bench


%clean
rm -rf $RPM_BUILD_ROOT
